# © 2019 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

import random
import logging

from odoo.tests import tagged, common

_logger = logging.getLogger(__name__)


@tagged('post_install', '-at_install')
class TestEventCreation(common.TransactionCase):

    def setUp(self):
        super(TestEventCreation, self).setUp()

        self.CalendarEvent = self.env['calendar.event']

    def test_calender_simple_event(self):
        m = self.CalendarEvent.create({
            'name': "Test compute",
            'start': '2017-07-12 14:30:00',
            'allday': False,
            'stop': '2017-07-12 15:00:00',
            'user_id': 180
        })

        self.assertEqual(
            (m.ur_id),
            (m.user_id.partner_id.ur_id),
            "Event UR check"
        )
